Unbind
Deployments

Redeploy Deployment

Re-run an existing deployment's build and roll it out again.

POST
/deployments/redeploy

Re-run an existing deployment's build and roll it out again.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

deployment_id*string
Formatuuid
disable_build_cache?boolean

Disable build cache for this redeployment

environment_id*string
Formatuuid
project_id*string
Formatuuid
service_id*string
Formatuuid
smart_redeploy?boolean

Try to intelligently redeploy without rebuilding if possible

team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/deployments/redeploy" \  -H "Content-Type: application/json" \  -d '{    "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6",    "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4",    "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "attempts": 0,    "builder": "railpack",    "commit_author": {      "avatar_url": "string",      "name": "string"    },    "commit_message": "string",    "commit_sha": "string",    "completed_at": "2019-08-24T14:15:22Z",    "crashing_reasons": [      "string"    ],    "created_at": "2019-08-24T14:15:22Z",    "docker_builder_build_context": "string",    "docker_builder_dockerfile_path": "string",    "error": "string",    "git_branch": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "image": "string",    "job_name": "string",    "queued_at": "2019-08-24T14:15:22Z",    "railpack_builder_build_command": "string",    "railpack_builder_install_command": "string",    "replica_events": [      {        "count": 0,        "first_seen": "string",        "last_seen": "string",        "message": "string",        "reason": "string",        "timestamp": "string",        "type": "oom_killed"      }    ],    "replica_restarts": 0,    "run_command": "string",    "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0",    "started_at": "2019-08-24T14:15:22Z",    "status": "build-pending",    "status_message": "string",    "updated_at": "2019-08-24T14:15:22Z"  }}